<?PHP
/**
* @version $Id: chat.php,v 1.11 2006/12/14 14:17:21 loki Exp $
* @package WebChess 0.9.0
* @copyright (C) 2005 Smejo (http://smejo.udavske.sk)
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
*/ 

############################################################
function showMessage($max_lines) {
############################################################
    global $CFG_DISPLAY_TIMESTAMP;
    // select from Db using $_SESSION['gameID']
    $selStr = "".$GLOBALS[UserTB].".login_name, ".$GLOBALS[UserMessagesTB].".message, ".$GLOBALS[UserMessagesTB].".dateSent";
    $tabStr = "".$GLOBALS[UserMessagesTB].",".$GLOBALS[UserTB]."";
    $wheStr = "".$GLOBALS[UserMessagesTB].".to_game_id = ".$_SESSION['gameID']." AND ".$GLOBALS[UserTB].".id = ".$GLOBALS[UserMessagesTB].".from_user_id";
    $ordStr = "dateSent DESC";
    $tmpComments = SelGen($selStr,$tabStr,$wheStr,$ordStr);
    $count = GetNumRows($tmpComments) - 1;
    $msg = "";
    while( $row = GetFetchArray($tmpComments) ) {
	//v0.1 echo "<b>".$row["nick"].":</b> ".$row["message"]."<br>";
	if ($CFG_DISPLAY_TIMESTAMP == 1)    // display only time
	    $date = date("[H:i]" ,$row["dateSent"]);
	else if ($CFG_DISPLAY_TIMESTAMP == 2)  // display date and time
	    $date = date("[d.m.y H:i]" ,$row["dateSent"]);
	else if ($CFG_DISPLAY_TIMESTAMP == 3)  // display only date
	    $date = date("[d.m.y]" ,$row["dateSent"]);
	else
	    $date = "";
	
	$msg .= $date."[".$row["login_name"]."]: ".$row["message"]."\n";
    }
    echo "<form action='textarea.htm'>\n";
    echo "<textarea class='chatoutput' readonly rows='$max_lines' cols='67' >".$msg."</textarea>";
    echo "</form>\n";

    //remove new chat msg flag

    $tmpplayerID = SelGames("*","gameID = ".$_SESSION['gameID']."");
    $tmpplayerID = GetFetchArray($tmpplayerID);
    if ($tmpplayerID['blackPlayer'] == $_SESSION['playerID'] ){
	if(($tmpplayerID['msgforB'] & 1) == 1){
	    $tmpmsg = $tmpplayerID['msgforB'] - 1;
	    UpdGames("msgforB = ".$tmpmsg."","gameID =".$_SESSION['gameID']."");
	}
    }	
    if($tmpplayerID['whitePlayer'] == $_SESSION['playerID'] ){
	if(($tmpplayerID['msgforW'] & 1) == 1){
	    $tmpmsg = $tmpplayerID['msgforW'] - 1;
	    UpdGames("msgforW = ".$tmpmsg."","gameID =".$_SESSION['gameID']."");
	}
    }
}

############################################################
function saveMessage() {
############################################################
    if ($_POST['isMessage'] == 'true') {
    	$comment = $_POST['comment'];
      	if (trim($comment) != "") {
      	    $playerId = $_SESSION['playerID'];
	    $comment = htmlentities($comment, ENT_QUOTES, 'UTF-8');
	    InsUserMessages("('',".$playerId.",".$_SESSION['gameID'].", 0, '$comment', ".time().",0)");
	    // mark new msgfor flag in games table
	    $tmpplayerID = SelGames("*","gameID = ".$_SESSION['gameID']."");
  	    $tmpplayerID = GetFetchArray($tmpplayerID);

	    if ( $tmpplayerID['blackPlayer'] == $playerId ){
		if(($tmpplayerID['msgforW'] & 1) == 0){
	    	    $tmpmsg = $tmpplayerID['msgforW'] + 1;
		    UpdGames("msgforW = ".$tmpmsg."","gameID =".$_SESSION['gameID']."");
		}
	    }else if( $tmpplayerID['whitePlayer'] == $playerId ){
		if(($tmpplayerID['msgforB'] & 1) == 0){
	    	    $tmpmsg = $tmpplayerID['msgforB'] + 1;
		    UpdGames("msgforB = ".$tmpmsg."","gameID =".$_SESSION['gameID']."");
		}
	    }else
		UpdGames("msgforB = 1, msgforW = 1","gameID =".$_SESSION['gameID']."");
      	}
    }
}

############################################################
function showChatForm() {
############################################################
    echo "<!-- display the form to send the message to opponent -->\n";
    echo "<form name='message_form' action='chess.php' method='post' accept-charset='UTF-8'>\n";
    echo "<input name='isMessage' value='true' type='hidden'>\n";
    echo "<table class='tabbord3'>\n";
    echo "<tbody>\n";
    echo "<tr><td><textarea class='chatinput' cols='67' name='comment' rows='2' wrap='soft'></textarea></td></tr>\n";
    echo "<tr><td align='center'><input class='button2' name='submitmessage' value=' Send ' type='submit'></td></tr>\n";
    echo "</tbody>\n";
    echo "</table>\n";
    echo "</form>\n";
    echo "<!-- end of the message form -->\n";
}


############################################################
function showChatWindow() {
############################################################
    echo "<table class='tabbord1' width='560'>\n";
    echo " <tr>\n";
    echo "  <th class='th_std'>Chat</th>\n";
    echo " </tr><tr class='tr_std'>\n";
    echo " <td align='center'>\n";
    showMessage(6);
    echo " </td></tr><tr class='tr_std'>\n";
    echo " <td align='center'>\n";
    showChatForm();
    echo " </td>\n";
    echo "</tr>\n";
    echo "</table>\n";
}
?>



