<?PHP

############################################################
function loginout(){
############################################################
    switch($_POST['LogInOut']){
    	case 'NewUser':
	    if(!$GLOBALS[CFG_NEW_USERS_ALLOWED]){
		$_SESSION["msg_error"] = "new user are not allowed!";
		require 'index.php'; 
    		die();
	    }
	
	    newuser();
    	case 'Login':
	    login();
	    break;
	case 'Logout':	
	    logout();
	    break;
     }
     if($_GET['Reg']){
	reguser();
     }
}

############################################################
function newuser(){
############################################################
    $firstname 	= (isset($_POST['txtFirstName']))	? $_POST['txtFirstName']: "";
    $lastname 	= (isset($_POST['txtLastName']))	? $_POST['txtLastName'] : "";
    $passwd 	= (isset($_POST['pwdPassword']))	? $_POST['pwdPassword'] : "";
    $loginname	= (isset($_POST['txtNick']))		? $_POST['txtNick'] 	: "";
    $mail	= (isset($_POST['email']))		? $_POST['email'] 	: "";

    // load default language
    require_once 'lang/language_en.php';
    $_SESSION['TXT'] = $TXT_WebChessNG;

    // check for existing user with same nick 
    $existingUsers = SelUser("id","login_name = '".$loginname."'");
    if (GetNumRows($existingUsers) > 0){
	$_SESSION["msg_error"] = "<b>'".$loginname."'</b> ".$_SESSION['TXT']['ERRNickExist'];
	require 'newuser.php';
	die();
    }

    // test mail
    if($GLOBALS[CFG_USEMAILREGISTRATION]){
    	if(!strstr($mail, '@')){
	   $_SESSION["msg_error"] = $_SESSION['TXT']['ERRMail'];
     	   require 'newuser.php';
	   die();
    	}
	//check for same existing mail in database
	$usermails = SelUser("*","regmail = '".$mail."'");
	if (GetNumRows($usermails) > 0){
	    $_SESSION["msg_error"] = "user with this mail<br>already exist!";
	    require 'newuser.php';
	    die();
    	}
    }

    // create new user	
    $md5passwd = md5($passwd);
    $insStr  = "('','".$loginname."','".$md5passwd."',";
    $insStr .= "'".$firstname."','".$lastname."',2,'".$mail."',NOW(),NOW()";
    if($GLOBALS[CFG_USEMAILREGISTRATION])
	$insStr .= ",0)";
    else
	$insStr .= ",1)";
    InsUser($insStr);
    
    // get ID of new user 
    $wheStr = "login_name = '".$loginname."' AND login_password = '".$md5passwd."'";
    $tmpPlayers = SelUser("*",$wheStr);
    $tmpPlayer = GetFetchArray($tmpPlayers);

    $_SESSION['playerID'] = $tmpPlayer['id'];

    //write log
    $logmess = "Add New User: ".$loginname;
    writeLog(LOGIN,$logmess);
	
    //set profile
    $insStr  = "(".$_SESSION['playerID'].",1,'".$_POST['rdoHistory']."', '".$_POST['rdoTheme']."','".$mail."',";
    $insStr .= "0, ".$GLOBALS[CFG_MINAUTORELOAD].",".$GLOBALS[CFG_BOARDSQUARESIZE].")";	
    InsUserProfile($insStr);

    if($GLOBALS[CFG_USEMAILREGISTRATION]){
	$regcode = md5("".$tmpPlayer['id']."/".$md5passwd."");
	regmail($mail, $regcode, $loginname, $passwd);
    }
}


############################################################
function regmail($mail, $regcode,$nick,$passwd){
############################################################
    $regstr = $GLOBALS[CFG_SERVERURL];
    if (substr( $regstr, -1) != "/")
    	$regstr .= "/";

    $regstr .= "mainmenu.php?Reg=".$regcode;
    $logindata = $_SESSION['TXT']['LoginName'].": ".$nick."\n".$_SESSION['TXT']['LoginPasswd'].": ".$passwd;

    webchessMail('registration', $mail, $regstr, $logindata);
    $_SESSION["msg_ok"] = $_SESSION['TXT']['OKRegistMailSend']."<br>".$mail;
     //write log
    $logmess = "Send registration mail to: ".$mail;
    writeLog(LOGIN,$logmess);
    require 'index.php';
    die();
}

############################################################
function reguser(){
############################################################
    $regcode	= (isset($_GET['Reg']))	? $_GET['Reg'] 	: "";

    // get ID of new user 
    $wheStr = "active = 0";
    $tmpPlayers = SelUser("*",$wheStr);
    while($tmpPlayer = GetFetchArray($tmpPlayers)){
	$testcode =  md5("".$tmpPlayer['id']."/".$tmpPlayer['login_password']."");
	if($testcode == $regcode){
	    UpdUser("active = 1", "id = ".$tmpPlayer['id']."");
	    $_SESSION["msg_ok"] = "Registration completted<br>Now you can login!";
	    require 'index.php';
    	    die();
	}
    }
    $_SESSION["msg_error"] = "Unknowen aktion!";	
    require 'index.php';
    die();
}

############################################################
function login(){
############################################################
    // check for a player with supplied nick and password 
    $wheStr  = "login_name = '".$_POST['txtNick']."' AND ";
    $wheStr .= "login_password = '".md5($_POST['pwdPassword'])."' AND active = 1";
    $tmpPlayers = SelUser("*",$wheStr);
    $tmpPlayer = GetFetchArray($tmpPlayers);

    // if such a player exists, log him in... otherwise die 
    if ($tmpPlayer){
	$_SESSION['playerID'] 		= $tmpPlayer['id'];
	$_SESSION['lastInputTime'] 	= time();
	$_SESSION['playerName'] 	= $tmpPlayer['first_name']." ".$tmpPlayer['last_name'];
	$_SESSION['firstName'] 		= $tmpPlayer['first_name'];
	$_SESSION['lastName'] 		= $tmpPlayer['last_name'];
	$_SESSION['nick'] 		= $tmpPlayer['login_name'];
	$_SESSION['usrgrpid']		= $tmpPlayer['user_group_id'];

	UpdUser("last_online = NOW()","id = ".$tmpPlayer['id']."");

	//write log
	$logmess = "LOGIN IP: ".getUserIP();
	writeLog(LOGIN,$logmess);
    }else{
	//default language
	require_once 'lang/language_en.php';
        $_SESSION['TXT'] = $TXT_WebChessNG;

	//write log
	$logmess = "LOGIN FAILED! Nickname: ".$_POST['txtNick']." IP: ".getUserIP();
	writeLog(LOGIN,$logmess);
	$_SESSION["msg_error"] = $_SESSION['TXT']['ERRPaswdLogin'];
	sleep(10); // prevent fast login trys
	require 'index.php';
	die();
    }

    // load user profile
    $tmpPreferences = SelUserProfile("*","user_id = ".$_SESSION['playerID']."");

    $tmpPreference = GetFetchArray($tmpPreferences);
    $_SESSION['email'] 			= $tmpPreference['email'];
    $_SESSION['pref_history'] 		= $tmpPreference['history'];
    $_SESSION['pref_theme']		= $tmpPreference['theme'];
    $_SESSION['pref_emailnotify'] 	= $tmpPreference['emailnotify'];
    $_SESSION['pref_bsize']		= $tmpPreference['bsize'];
    if (intval($tmpPreference['autoreload']) >= $GLOBALS[CFG_MINAUTORELOAD])
	$_SESSION['pref_autoreload'] = intval($tmpPreference['autoreload']);
    else
	$_SESSION['pref_autoreload'] = $GLOBALS[CFG_MINAUTORELOAD];
	
    //language settings
    $langlist = GetListOfAllActive($GLOBALS[LanguageTB],"active=1","short_description");
    $_SESSION['lang_id'] = $tmpPreference['language_id'];
    $langfile = "lang/language_".$langlist[$tmpPreference['language_id']].".php";
    if(file_exists($langfile))
	require $langfile;
    else
	require 'lang/language_en.php';
    $_SESSION['TXT'] = $TXT_WebChessNG;
}

############################################################
function logout(){
############################################################
    //write log
    $logmess = "LOGOUT";
    writeLog(LOGIN,$logmess);
        
    // clear sessionvaribles
    $_SESSION['playerID'] 	= -1;
    $_SESSION['lastInputTime'] 	= '';
    $_SESSION['playerName'] 	= '';
    $_SESSION['firstName'] 	= '';
    $_SESSION['lastName'] 	= '';
    $_SESSION['nick'] 		= '';
    $_SESSION['email']		= '';
    $_SESSION['usrgrpid']	= 0;
    require 'index.php'; 
    die();
}
?>