<?PHP
session_start();

include_once('conf/config.php');
include_once('conf/ELOconfig.php');
include_once('lib/utils.php');

CheckSession();

include_once('lib/dbwrapper.php');
include_once('lib/dbutils.php');
include_once('lib/chessutils.php');
include_once('lib/mail.php');

############################################################
function userSettingHandle(){
############################################################
    $button     = (isset($_POST['button']))	? $_POST['button'] : "";
    if($button == $_SESSION['TXT']['BtnUpdate']){
	$firstname 	= (isset($_POST['txtFirstName']))	? $_POST['txtFirstName']: "";
	$lastname 	= (isset($_POST['txtLastName']))	? $_POST['txtLastName'] : "";
	$passwd 	= (isset($_POST['pwdPassword1']))	? $_POST['pwdPassword1'] : "";
	$passwd2 	= (isset($_POST['pwdPassword2']))	? $_POST['pwdPassword2'] : "";
	$lang 		= (isset($_POST['sellang']))		? $_POST['sellang'] 	: 1;
	$loginname	= (isset($_POST['txtNick']))		? $_POST['txtNick'] 	: "";
	$history	= (isset($_POST['selhis']))		? $_POST['selhis'] 	: "pgn";
	$theme		= (isset($_POST['seltheme']))		? $_POST['seltheme'] 	: "beholder";
	$reload		= (isset($_POST['txtReload']))		? $_POST['txtReload'] 	: 0;
	$notify		= (isset($_POST['active']))		? $_POST['active'] 	: 0;
	$mail		= (isset($_POST['email']))		? $_POST['email'] 	: "";
	$boardsize	= (isset($_POST['bsize']))		? $_POST['bsize'] 	: 50;

	if($firstname == "" || $lastname == ""){
     	    $_SESSION["msg_error"] = $_SESSION['TXT']['ERRFirstLastName'];
     	    return;
     	}
	if($mail != $_SESSION['email'] && $mail != ''){
	    if(!strstr($mail, '@')){
		$_SESSION["msg_error"] = $_SESSION['TXT']['ERRMail'];
     	    	return;
	    }	
	}
	if($passwd == "*****"){
	    $setStr = "first_name = '".$firstname."', last_name = '".$lastname."'";
	    if ($GLOBALS[CFG_NICKCHANGEALLOWED] && $loginname != "")
		$setStr .= ", login_name = '".$loginname."'";
	    $wheStr = "id = ".$_SESSION['playerID']."";
	    UpdUser($setStr,$wheStr);
	}else{
	    if($passwd != $passwd2){
		$_SESSION["msg_error"] = $_SESSION['TXT']['ERRNewPasswd'];
     	    	return;	
	    }
	    $setStr  = "first_name = '".$firstname."', last_name = '".$lastname."'";
	    $setStr .= ", login_password = '".md5($passwd)."'";
	    if ($GLOBALS[CFG_NICKCHANGEALLOWED] && $loginname != "")
		$setStr .= ", login_name = '".$loginname."'";
	    $wheStr = "id = ".$_SESSION['playerID']."";
	    UpdUser($setStr,$wheStr);	
	}
	
	//now the profilesettings
	if($reload < $GLOBALS[CFG_MINAUTORELOAD])
	    $reload = $GLOBALS[CFG_MINAUTORELOAD];
	$setStr  = "autoreload = ".$reload."";
	$setStr .= ",language_id = ".$lang."";
	$setStr .= ",history = '".$history."'";
	$setStr .= ",theme = '".$theme."'";
	$setStr .= ",email = '".$mail."'";
	$setStr .= ",emailnotify = ".$notify."";
	$setStr .= ",autoreload = ".$reload."";
	$setStr .= ",bsize = ".$boardsize."";
	$wheStr = "user_id = ".$_SESSION['playerID']."";
	UpdUserProfile($setStr,$wheStr);
	
	//update Session variables
	$_SESSION['playerName'] = $firstname." ".$lastname;
	$_SESSION['firstName'] 	= $firstname;
	$_SESSION['lastName'] 	= $lastname;
	$_SESSION['email'] 	= $mail;

	if ($GLOBALS[CFG_NICKCHANGEALLOWED] && $_POST['txtNick'] != "")
	    $_SESSION['nick'] = $loginname;

	$_SESSION['pref_history'] 	= $history;
	$_SESSION['pref_theme']		= $theme;
	$_SESSION['pref_emailnotify'] 	= $notify;
	$_SESSION['pref_autoreload'] 	= $reload;
	$_SESSION['pref_bsize']		= $boardsize;
	
	//language settings
	$langlist = GetListOfAllActive($GLOBALS[LanguageTB],"active=1","short_description");
	$_SESSION['lang_id'] = $lang;
	$langfile = "lang/language_".$langlist[$lang].".php";
	if(file_exists($langfile))
	    require $langfile;
    	else
	    require 'lang/language_en.php';
	$_SESSION['TXT'] = $TXT_WebChessNG;
		    
    }
    if($button == $_SESSION['TXT']['BtnTest']){
	webchessMail('test', $_SESSION['email'], '', '');
	$_SESSION["msg_ok"] = $_SESSION['TXT']['OKTestMailSend']." ".$_SESSION['email'];
	
    }
}

############################################################
function dispEditPers(){
############################################################
    $langlist = GetListOfAllActive($GLOBALS[LanguageTB]);
    $hislist['pgn'] = "PGN"; $hislist['verbous'] = "Verbose";
    $themlist['beholder'] = "Beholder";$themlist['plain'] = "Plain";
    $boardsize[30] = "Smallest";$boardsize[40] = "small";$boardsize[50] = "Normal";$boardsize[60] = "Big";

    echo "<form name='PersonalInfo' action='profile.php' method='post' accept-charset='UTF-8'>\n";
    echo "<table class ='tabbord1' width='80%' cellpadding='3'>\n";
    echo " <tr><th class='th_std' colspan='2' >".$_SESSION['TXT']['EditUserSettings']."</th></tr>\n";
    echo " <tr class='tr_pref'>\n";
    echo "  <td colspan='2'>\n";
    HandleMSG();
    echo "  </td></tr>\n";
    echo " <tr class='tr_pref'>\n";
    echo "  <td class='td_inv1' width='50%'>".$_SESSION['TXT']['FirstName'].": </td>\n";
    echo "  <td class='td_inv2' width='50%'><input class='edit1' name='txtFirstName' type='text' size='20'  maxlength='20' value='".$_SESSION['firstName']."'></td>\n";
    echo " </tr><tr class='tr_pref'>\n";
    echo "  <td class='td_inv1'>".$_SESSION['TXT']['LastName'].": </td>\n";
    echo "  <td class='td_inv2'><input class='edit1' name='txtLastName' type='text' size='20' maxlength='20' value='".$_SESSION['lastName']."'></td>\n";
    echo " </tr>\n";
    if ($GLOBALS[CFG_NICKCHANGEALLOWED]){ 
	echo " <tr class='tr_pref'>\n";
	echo "  <td class='td_inv1'>".$_SESSION['TXT']['LoginName'].": </td>\n";
	echo "  <td class='td_inv2'><input class='edit1' name='txtNick' size='20' maxlength='20' type='text' value='".$_SESSION['nick']."'></td>\n";
	echo " </tr>\n";
    }
    echo " </tr><tr class='tr_pref'>\n";
    echo "  <td class='td_inv1'>".$_SESSION['TXT']['LoginPasswdN'].": </td>\n";
    echo "  <td class='td_inv2'><input class='edit1' name='pwdPassword1' size='20' maxlength='20' type='password' value='*****'></td>\n";
    echo " </tr><tr class='tr_pref'>\n";
    echo "  <td class='td_inv1'>".$_SESSION['TXT']['LoginPasswdNC'].": </td>\n";
    echo "  <td class='td_inv2'><input class='edit1' name='pwdPassword2' size='20' maxlength='20' type='password' value='*****'></td>\n";
    echo " </tr><tr class='tr_pref'>\n";
    echo "  <td class='td_inv1'>".$_SESSION['TXT']['EMail'].": </td>\n";
    echo "  <td class='td_inv2'><input class='edit1' name='email' size='50' maxlength='50' type='text' value='".$_SESSION['email']."' ></td>\n";
    
    echo " </tr><tr class='tr_pref'>\n";
    echo "  <td class='td_inv1'>".$_SESSION['TXT']['Language'].": </td>\n";
    echo "  <td class='td_inv2'>";
    GenerateListCombo($langlist,$_SESSION['lang_id'],"sellang",0,"edit1");
    echo "  </td>\n";

    echo " </tr><tr class='tr_pref'>\n";
    echo "  <td class='td_inv1'>".$_SESSION['TXT']['History'].": </td>\n";
    echo "  <td class='td_inv2'>";
    GenerateListCombo($hislist,$_SESSION['pref_history'],"selhis",0,"edit1");
    echo "  </td>\n";
    
    echo " </tr><tr class='tr_pref'>\n";
    echo "  <td class='td_inv1'>".$_SESSION['TXT']['Theme'].": </td>\n";
    echo "  <td class='td_inv2'>";
    GenerateListCombo($themlist,$_SESSION['pref_theme'],"seltheme",0,"edit1");
    echo "  </td>\n";
    
    echo " </tr><tr class='tr_pref'>\n";
    echo "  <td class='td_inv1'>".$_SESSION['TXT']['BoardSquareSize'].": </td>\n";
    echo "  <td class='td_inv2'>";
    GenerateListCombo($boardsize,$_SESSION['pref_bsize'],"bsize",0,"edit1");
    echo "  </td>\n";
    
    if($_SESSION['usrgrpid'] != 1){
    	echo " </tr><tr class='tr_pref'>\n";
    	echo "  <td class='td_inv1'>".$_SESSION['TXT']['AutoReload'].": </td>\n";
    	echo "  <td class='td_inv2'><input class='edit1' type='text' name='txtReload' size='3' maxlength='3' value='".$_SESSION['pref_autoreload']."'> (min: ".$GLOBALS[CFG_MINAUTORELOAD]."secs)</td>\n";

    	if ($GLOBALS[CFG_USEEMAILNOTIFICATION]){
	    echo " <tr class='tr_pref' valign='top'>\n";
	    echo "  <td class='td_inv1'>".$_SESSION['TXT']['EmailNotify'].":</td>\n";
	    echo "	<td class='td_inv2'>";
	    GenerateCheckBox($_SESSION['pref_emailnotify']);
	    if ($_SESSION['pref_emailnotify'] != 0){ 
    	    	echo "    <input class='button3' type='submit' name='button' value='".$_SESSION['TXT']['BtnTest']."'>\n";
    	    }
	    echo "  </td>\n";
    	}
    }
    echo " </tr><tr class='tr_pref'>\n";
    echo "  <td colspan='2' align='center'>\n";
    echo "   <input class='button2' type='submit' name='button' value='".$_SESSION['TXT']['BtnUpdate']."'></td>\n";
    echo " </tr>\n";
    echo "</table>\n";
    echo "</form>\n";
    echo "<br>\n";
}

############################################################
function dispProfilePage() {
############################################################
    echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
    echo "<html><head>\n";
    echo "<meta http-equiv='content-type' content='text/html; charset=UTF-8'>\n";
    echo "<title>WedbChessNG - ".$_SESSION['TXT']['TitleProfile']."</title>\n";
    echo "<link rel='stylesheet' type='text/css' href='template/".$_SESSION['pref_theme']."/webchess.css'>\n";
    echo "</head><body onload='document.PersonalInfo.txtFirstName.focus()'><br>\n";
    echo "<center>\n";
    $pagetitle = $_SESSION['TXT']['TitleProfile'];
    displayMenu($pagetitle);
    dispEditPers();
    dispfootNote();
    echo "</center>\n";
    echo "</body></html>\n";
}

userSettingHandle();

dispProfilePage();

?>
