<?PHP

session_start();
include_once('conf/config.php');
include_once('conf/ELOconfig.php');
include_once('lib/utils.php');

CheckSession();

include_once('lib/dbwrapper.php');
include_once('lib/chessdb.php');


############################################################
function dispJSHistory() {
############################################################
    echo "<script type='text/javascript'>\n";
    echo " function loadEndedGame(gameID){\n";
    echo "  document.endedGames.gameID.value = gameID;\n";
    echo "  document.endedGames.submit();\n";
    echo " }\n";
    echo "</script>\n";
}


############################################################
function genHistoryListing(){
############################################################
    $nick	= array();
    
    $tmpPlayers = SelUser();
    while($thisPlayer = GetFetchArray($tmpPlayers)){
	$nick[$thisPlayer['id']]	= $thisPlayer['login_name'];
    }
    $wheStr  = "(gameMessage <> '' AND gameMessage <> 'playerInvited'";
    $wheStr .= "  AND gameMessage <> 'inviteDeclined')";
    $tmpGames = SelGames("*",$wheStr,"lastMove DESC");

    if (GetNumRows($tmpGames) != 0){
    	echo("<form name='endedGames' action='chess.php' method='post'>\n");
    	echo("<input type='hidden' name='gameID' value=''>\n");
    	echo("<input type='hidden' name='sharePC' value='no'>\n");

    	echo "<table class='tabbord1' border='0' width='80%'>\n";    
    	echo " <tr><th class='th_std' colspan='6'>".$_SESSION['TXT']['AllEndedGames']."</th></tr>\n";
    	echo " <tr>\n";
    	echo "  <th class='th_std' width='40px'>".$_SESSION['TXT']['Game']."</th>\n";
    	echo "  <th class='th_std'>".$_SESSION['TXT']['GameId']."</th>\n";
    	echo "  <th class='th_std'>".$_SESSION['TXT']['EndDate']."</th>\n";
    	echo "  <th class='th_std'>".$_SESSION['TXT']['White']."</th>\n";
    	echo "  <th class='th_std'>".$_SESSION['TXT']['Black']."</th>\n";
    	echo "  <th class='th_std'>".$_SESSION['TXT']['Status']."</th>\n";
    	echo "</tr>\n";
    	$tmpcount = 1;
    	while($thisGames = GetFetchArray($tmpGames)){
            if($tmpcount%2)
            	echo("<tr class='tr_std'>");
            else
	    	echo("<tr class='tr_std_l'>");

	    dispGameLoadLink($thisGames['gameID']);

	    echo("<td>".$thisGames['gameID']."</td>");
	    echo("<td>".$thisGames['lastMove']."</td>");

	    dispUserInfoLink($thisGames['whitePlayer'], $nick[$thisGames['whitePlayer']]);
	    dispUserInfoLink($thisGames['blackPlayer'], $nick[$thisGames['blackPlayer']]);
	    
	    dispEndGameMsg($thisGames['gameMessage'], $thisGames['messageFrom']);

            echo("</tr>");
	    $tmpcount ++;
    	}
    	echo "</table>\n";
    	echo("</form>");
    	echo "<br>\n";
    }
}

############################################################
function dispHistoryGamesPage() {
############################################################
    echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
    echo "<html><head>\n";
    echo "<meta http-equiv='content-type' content='text/html; charset=UTF-8'>\n";
    echo "<title>WebChessNG - ".$_SESSION['TXT']['TitleHisGames']."</title>\n";
    echo "<link rel='stylesheet' type='text/css' href='template/".$_SESSION['pref_theme']."/webchess.css'>\n";
    dispJSHistory();
    echo "</head><body><br>\n";
    echo "<center>\n";
    $pagetitel = $_SESSION['TXT']['TitleHisGames'];
    displayMenu($pagetitel);
    genHistoryListing(); 
    dispfootNote();
    echo "</center>\n";
    echo "</body></html>\n";
}

dispHistoryGamesPage();

?>
