<?PHP

############################################################
function updateStatisticConfig(){
############################################################
    require('conf/ELOconfig.php');
    $button     = (isset($_POST['statbutton']))	? $_POST['statbutton'] : "";
    if($button == $_SESSION['TXT']['BtnUpdate']){
	$lineindb 	= (isset($_POST['statlinedb']))		? $_POST['statlinedb']: 1000;
	$reliabline 	= (isset($_POST['statreliab']))		? $_POST['statreliab']: 10;
	$halfturn 	= (isset($_POST['stathalfturn']))	? $_POST['stathalfturn']: 10;
	$elostart 	= (isset($_POST['statelostart']))	? $_POST['statelostart']: 1000;
	$activep 	= (isset($_POST['statactivep']))	? $_POST['statactivep']: 0;

    	$newSetting = "<?PHP\n";
    	$newSetting .= "$" . "CFG_ELO_MAX_DB_LINES = ".$lineindb.";\n";
    	$newSetting .= "$" . "CFG_ELO_RELIAB_LINES = ".$reliabline.";\n";
    	$newSetting .= "$" . "CFG_ELO_MIN_TURN_ELO = ".$halfturn.";\n";
	$newSetting .= "$" . "CFG_ELO_SHOW_ACTIVE_ONLY = ".$activep.";\n";
    	$newSetting .= "//TO CHANGE THE STARTING ELO RATE, MODIFY THIS VARIABLE\n";
    	$newSetting .= "//BEFOR YOU CHANGE IT, BACKUP THE user_statistic TABLE\n";
    	$newSetting .= "$" . "CFG_ELO_START_RATE = ".$elostart.";\n";
        $newSetting .= "//DON'T TOUCH THIS VARIABLE ########\n";
	$newSetting .= "$" . "CFG_ELO_OLD_START_RATE = ".$CFG_ELO_OLD_START_RATE.";\n";
    	$newSetting .= "?>";
    	$configfile = "conf/ELOconfig.php";
    	writefile($configfile,$newSetting,0);
    }
}

############################################################
function updateBaseConfig(){
############################################################
    $button     = (isset($_POST['basebutton']))	? $_POST['basebutton'] : "";
    if($button == $_SESSION['TXT']['BtnUpdate']){
	$maintenance	= (isset($_POST['bmaint']))		? $_POST['bmaint']: 		0;
	$serverurl	= (isset($_POST['bserverurl']))		? $_POST['bserverurl']: 	"";
	$adminmail 	= (isset($_POST['badminmail']))		? $_POST['badminmail']: 	"";
	$logdb 		= (isset($_POST['logdb']))		? $_POST['logdb']: 		0;
	$loglogin 	= (isset($_POST['loglogin']))		? $_POST['loglogin']: 		0;
	$logevent 	= (isset($_POST['logevent']))		? $_POST['logevent']: 		0;
	$logstat 	= (isset($_POST['logstat']))		? $_POST['logstat']: 		0;
	$sessiontime	= (isset($_POST['bsesstime']))		? $_POST['bsesstime']: 		900;
	$expgame 	= (isset($_POST['bexpgame']))		? $_POST['bexpgame']: 		14;
	$remuser 	= (isset($_POST['bremuser']))		? $_POST['bremuser']: 		200;
	$autoreload 	= (isset($_POST['bautoreload']))	? $_POST['bautoreload']: 	120;
	$boardsize 	= (isset($_POST['selboardsize']))	? $_POST['selboardsize']: 	50;
	$chattime 	= (isset($_POST['selchattime']))	? $_POST['selchattime']: 	0;
	$mailnotify 	= (isset($_POST['bmailnotify']))	? $_POST['bmailnotify']: 	0;
	$mailregis 	= (isset($_POST['bmailregis']))		? $_POST['bmailregis']: 	0;
	$nickallowed 	= (isset($_POST['bnickallowed']))	? $_POST['bnickallowed']: 	0;
	$newuserallowed	= (isset($_POST['bnewuserallowed']))	? $_POST['bnewuserallowed']: 	0;
	
	$tmp1 = $tmp2 = $tmp3 = $tmp4 = "";
        $set = 0;
    	$newSetting = "<?PHP\n";
    	$newSetting .= "// Logging level\n";
    	$newSetting .= "define('NONE', 0);\n";
    	$newSetting .= "define('DB', 1);\n";
    	$newSetting .= "define('LOGIN', 2);\n";
    	$newSetting .= "define('EVENT', 4);\n";
    	$newSetting .= "define('STAT', 8);\n";
    	$newSetting .= "define('LOGLEVEL',";
	if(!$logdb && !$loglogin && !$logevemt && !$logstat)
	    $newSetting .= "NONE)\n";
	else{
			
	    if($logdb) $tmp1 = "DB |"; else $tmp1 = "NONE |";
	    if($loglogin) $tmp2 = "LOGIN |"; else $tmp2 = "NONE |";
	    if($logevent) $tmp3 = "EVENT |"; else $tmp3 = "NONE |";
	    if($logstat) $tmp4 = "STAT"; else $tmp4 = "NONE";
	    $newSetting .= $tmp1.$tmp2.$tmp3.$tmp4.");\n";
	}
	$newSetting .= "// block login for maintenance\n";
    	$newSetting .= "$" . "CFG_MAINTENANCE = ".$maintenance.";\n";
	$newSetting .= "// WebChessNG server URL\n";
    	$newSetting .= "$" . "CFG_SERVERURL = '".$serverurl."';\n";
	$newSetting .= "// Admin mail address\n";
    	$newSetting .= "$" . "CFG_MAILADDRESS = '".$adminmail."';\n";
	$newSetting .= "// session times out if user doesn't interact\n";
    	$newSetting .= "$" . "CFG_SESSIONTIMEOUT = ".$sessiontime.";\n";
	$newSetting .= "// number of days before untouched games expire\n";
    	$newSetting .= "$" . "CFG_EXPIREGAME = ".$expgame.";\n";
	$newSetting .= "// number of days before not actively users are removed from DB\n";
	$newSetting .= "$" . "CFG_REMOVEUSER = ".$remuser.";\n";
	$newSetting .= "// min number of secs between automatic reloads\n";
	$newSetting .= "$" . "CFG_MINAUTORELOAD = ".$autoreload.";\n";
	$newSetting .= "// activate email notification\n";
	$newSetting .= "$" . "CFG_USEEMAILNOTIFICATION = ".$mailnotify.";\n";
	$newSetting .= "// user registration only via mail\n";
	$newSetting .= "$" . "CFG_USEMAILREGISTRATION = ".$mailregis.";\n";
	$newSetting .= "// whether a user can change their nick from the main menu\n";
	$newSetting .= "$" . "CFG_NICKCHANGEALLOWED = ".$nickallowed.";\n";
	$newSetting .= "// allowed new user to registeration\n";
	$newSetting .= "$" . "CFG_NEW_USERS_ALLOWED = ".$newuserallowed.";\n";
	$newSetting .= "// default board square size\n";
	$newSetting .= "$" . "CFG_BOARDSQUARESIZE = ".$boardsize.";\n";
	$newSetting .= "// Chat time stamp 0-don't display, 1-time only, 2-date and time, 3-date onlyLogging level\n";
	$newSetting .= "$" . "CFG_DISPLAY_TIMESTAMP = ".$chattime.";\n";
    	$newSetting .= "?>";
    	$configfile = "conf/config.php";
    	writefile($configfile,$newSetting,0);
    }
}

############################################################
function dispBaseConfig(){
############################################################
    require('conf/config.php');

    $chatlist[0]="None";$chatlist[1]="time";$chatlist[2]="date & time";$chatlist[3]="date";
    $boardsize[30] = "Smallest";$boardsize[40] = "small";$boardsize[50] = "Normal";$boardsize[60] = "Big";
    echo "<form name='baseconfig' action='configfiles.php' method='post' accept-charset='UTF-8'>\n";
    echo "<table class='tabbord1' width='80%'>\n";
    echo " <tr><th class='th_std' colspan='2'>Base settings</th></tr>\n";
    echo " <tr class='td_inv2'>\n";
    echo "  <td colspan='2'>\n";
    HandleMSG();
    echo "  </td></tr>\n";

    echo " <tr class='tr_pref'>\n";
    echo "  <td class='td_inv1' width='50%'>Page under Maintenance: </td>\n";
    echo "  <td class='td_inv2' width='50%'>";
    GenerateCheckBox($CFG_MAINTENANCE,"bmaint");
    echo "</td>\n";

    echo " </tr><tr class='tr_pref'>\n";
    echo "  <td class='td_inv1' width='50%'>WebChessNG Server URL: </td>\n";
    echo "  <td class='td_inv2' width='50%'><input class='edit1' name='bserverurl' type='text' size='50'  maxlength='50' value='".$CFG_SERVERURL."'></td>\n";

    echo " </tr><tr class='tr_pref'>\n";
    echo "  <td class='td_inv1' width='50%'>Administrator mail address: </td>\n";
    echo "  <td class='td_inv2' width='50%'><input class='edit1' name='badminmail' type='text' size='50'  maxlength='50' value='".$CFG_MAILADDRESS."'></td>\n";

    echo " </tr><tr class='tr_pref'>\n";
    echo "  <td class='td_inv1' width='50%'>Loglevel: </td>\n";
    echo "  <td class='td_inv2' width='50%'>";
    $tmpcheck = 0;
    if((LOGLEVEL & DB) == DB) $tmpcheck=1;else $tmpcheck=0;
    GenerateCheckBox($tmpcheck,"logdb");
    echo "DB ";
    if((LOGLEVEL & LOGIN) == LOGIN) $tmpcheck=1;else $tmpcheck=0;
    GenerateCheckBox($tmpcheck,"loglogin");
    echo "LOGIN ";
    if((LOGLEVEL & EVENT) == EVENT) $tmpcheck=1;else $tmpcheck=0;
    GenerateCheckBox($tmpcheck,"logevent");
    echo "EVENT ";
    if((LOGLEVEL & STAT) == STAT) $tmpcheck=1;else $tmpcheck=0;
    GenerateCheckBox($tmpcheck,"logstat");
    echo "STATISTIC ";
    echo "</td>\n";    

    echo " </tr><tr class='tr_pref'>\n";
    echo "  <td class='td_inv1' width='50%'>Session timeout: </td>\n";
    echo "  <td class='td_inv2' width='50%'><input class='edit1' name='bsesstime' type='text' size='4'  maxlength='4' value='".$CFG_SESSIONTIMEOUT."'></td>\n";    

    echo " </tr><tr class='tr_pref'>\n";
    echo "  <td class='td_inv1' width='50%'>Expire Game: </td>\n";
    echo "  <td class='td_inv2' width='50%'><input class='edit1' name='bexpgame' type='text' size='3'  maxlength='3' value='".$CFG_EXPIREGAME."'></td>\n";

    echo " </tr><tr class='tr_pref'>\n";
    echo "  <td class='td_inv1' width='50%'>Remove user: </td>\n";
    echo "  <td class='td_inv2' width='50%'><input class='edit1' name='bremuser' type='text' size='3'  maxlength='3' value='".$CFG_REMOVEUSER."'></td>\n";

    echo " </tr><tr class='tr_pref'>\n";
    echo "  <td class='td_inv1' width='50%'>Minimum Autoreload time: </td>\n";
    echo "  <td class='td_inv2' width='50%'><input class='edit1' name='bautoreload' type='text' size='3'  maxlength='3' value='".$CFG_MINAUTORELOAD."'></td>\n";

    echo " </tr><tr class='tr_pref'>\n";
    echo "  <td class='td_inv1' width='50%'>Default Board squaresize: </td>\n";
    echo "  <td class='td_inv2' width='50%'>";
    GenerateListCombo($boardsize,$CFG_BOARDSQUARESIZE,"selboardsize",0,"edit1");
    echo "</td>\n";

    echo " </tr><tr class='tr_pref'>\n";
    echo "  <td class='td_inv1' width='50%'>Chat timestamp: </td>\n";
    echo "  <td class='td_inv2' width='50%'>";
    GenerateListCombo($chatlist,$CFG_DISPLAY_TIMESTAMP,"selchattime",0,"edit1");
    echo "</td>\n";

    echo " </tr><tr class='tr_pref'>\n";
    echo "  <td class='td_inv1' width='50%'>Use mail notification: </td>\n";
    echo "  <td class='td_inv2' width='50%'>";
    GenerateCheckBox($CFG_USEEMAILNOTIFICATION,"bmailnotify");
    echo "</td>\n";    

    echo " </tr><tr class='tr_pref'>\n";
    echo "  <td class='td_inv1' width='50%'>Use mail registration: </td>\n";
    echo "  <td class='td_inv2' width='50%'>";
    GenerateCheckBox($CFG_USEMAILREGISTRATION,"bmailregis");
    echo "</td>\n"; 

    echo " </tr><tr class='tr_pref'>\n";
    echo "  <td class='td_inv1' width='50%'>Nick change allowed: </td>\n";
    echo "  <td class='td_inv2' width='50%'>";
    GenerateCheckBox($CFG_NICKCHANGEALLOWED,"bnickallowed");
    echo "</td>\n"; 

    echo " </tr><tr class='tr_pref'>\n";
    echo "  <td class='td_inv1' width='50%'>New User allowed: </td>\n";
    echo "  <td class='td_inv2' width='50%'>";
    GenerateCheckBox($CFG_NEW_USERS_ALLOWED,"bnewuserallowed");
    echo "</td>\n";

    echo " </tr><tr class='tr_pref'>\n";
    echo "  <td colspan='2' align='center'>\n";
    echo "   <input class='button2' type='submit' name='basebutton' value='".$_SESSION['TXT']['BtnUpdate']."'></td>\n";

    echo " </tr>\n";
    echo "</table>\n";
    echo "</form>\n";
    echo "<br>\n";
}

############################################################
function dispStatisticConfig(){
############################################################
    require('conf/ELOconfig.php');
    echo "<form name='baseconfig' action='configfiles.php' method='post' accept-charset='UTF-8'>\n";
    echo "<table class='tabbord1' width='80%'>\n";
    echo " <tr><th class='th_std' colspan='2'>Statistic settings</th></tr>\n";
    echo " <tr class='td_inv2'>\n";
    echo "  <td colspan='2'>\n";
    HandleMSG();
    echo "  </td></tr>\n";

    echo " <tr class='tr_pref'>\n";
    echo "  <td class='td_inv1' width='50%'>Statistic lines per player: </td>\n";
    echo "  <td class='td_inv2' width='50%'><input class='edit1' name='statlinedb' type='text' size='4'  maxlength='4' value='".$CFG_ELO_MAX_DB_LINES."'></td>\n";

    echo " </tr><tr class='tr_pref'>\n";
    echo "  <td class='td_inv1' width='50%'>Statistic lines for Reliability calculation: </td>\n";
    echo "  <td class='td_inv2' width='50%'><input class='edit1' name='statreliab' type='text' size='4'  maxlength='4' value='".$CFG_ELO_RELIAB_LINES."'></td>\n";

    echo " </tr><tr class='tr_pref'>\n";
    echo "  <td class='td_inv1' width='50%'>Minimum half turns for a valid game: </td>\n";
    echo "  <td class='td_inv2' width='50%'><input class='edit1' name='stathalfturn' type='text' size='2'  maxlength='2' value='".$CFG_ELO_MIN_TURN_ELO."'></td>\n";

    echo " </tr><tr class='tr_pref'>\n";
    echo "  <td class='td_inv1' width='50%'>Show only active players: </td>\n";
    echo "  <td class='td_inv2' width='50%'>";
    GenerateCheckBox($CFG_ELO_SHOW_ACTIVE_ONLY,"statactivep");
    echo "</td>\n";

    echo " </tr><tr class='tr_pref'>\n";
    echo "  <td class='td_inv1' width='50%'>Starting ELO rate: </td>\n";
    echo "  <td class='td_inv2' width='50%'><input class='edit1' name='statelostart' type='text' size='4'  maxlength='4' value='".$CFG_ELO_START_RATE."'></td>\n";

    echo " </tr><tr class='tr_pref'>\n";
    echo "  <td colspan='2' align='center'>\n";
    echo "   <input class='button2' type='submit' name='statbutton' value='".$_SESSION['TXT']['BtnUpdate']."'></td>\n";

    echo " </tr>\n";
    echo "</table>\n";
    echo "</form>\n";
    echo "<br>\n";
}

############################################################
function dispConfigFilesPage() {
############################################################
    echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
    echo "<html><head>\n";
    echo "<meta http-equiv='content-type' content='text/html; charset=UTF-8'>\n";
    echo " <title>WebChessNG - Config settings</title>\n";
    echo " <link rel='stylesheet' type='text/css' href='template/".$_SESSION['pref_theme']."/webchess.css'>\n";
    echo "</head><body><br>\n";
    echo "<center>\n";
    $pagetitle = "Config settings";
    displayMenu($pagetitle);
    dispBaseConfig();
    dispStatisticConfig();
    dispfootNote();
    echo "</center>\n";
    echo "</body>\n";
    echo "</html>\n";
}

session_start(); 

include_once('lib/utils.php');

CheckSession(1);

updateStatisticConfig();
updateBaseConfig();

dispConfigFilesPage();

?>
