<?PHP

############################################################
function dbmaintance(){
############################################################
    // first check db for expired games
    $targetDate = date("Y-m-d", mktime(0,0,0, date('m'), date('d') - $GLOBALS[CFG_EXPIREGAME], date('Y')));

    /* find out which games are older */
    $tmpOldGames = SelGames("gameID","lastMove < '".$targetDate."'");

    /* for each older game... */
    while($tmpOldGame = GetFetchArray($tmpOldGames)){
    	//write log
    	$logmess = "Start cleanDB for gameID: ".$tmpOldGame['gameID'];
    	writeLog(DB,$logmess);
	/* ... first test if we need to calc the ELO.. */
    	checkEndedGame($tmpOldGame['gameID']);
	
	delGameByGameId($tmpOldGame['gameID']);
    }

    // second check for not actively users
    $targetDate = date("Y-m-d", mktime(0,0,0, date('m'), date('d') - $GLOBALS[CFG_REMOVEUSER], date('Y')));
    $tmpOldUsers = SelUser("id","last_online < '".$targetDate."' AND active = 1");
    while($tmpOldUser = GetFetchArray($tmpOldUsers)){
    	//write log
    	$logmess = "Start cleanDB for userID: ".$tmpOldUser['id'];
    	writeLog(DB,$logmess);
	delUserByUserId($tmpOldUser['id']);
    }
}

############################################################
function delGameByGameId($gameid){
############################################################
    // clear the game history
    DelGamesHistory("gameID = ".$gameid."");	
    // clear the game board
    DelGamesPieces("gameID = ".$gameid."");
    // clear the game messages
    DelGamesMessages("gameID = ".$gameid."");
    // clear the game 
    DelGames("gameID = ".$gameid."");
}


############################################################
function delUserByUserId($userid){
############################################################
    // clear the games
    DelGames("whitePlayer = ".$userid." OR blackPlayer = ".$userid."");
    // clear the statistic
    DelStatistic("user_id = ".$userid."");
    // clear the profile
    DelUserProfile("user_id = ".$userid."");
    // clear user_messages
    DelUserMessages("from_user_id = ".$userid." OR to_user_id = ".$userid."");
    // set user inactive
    $tmpstr = md5(date("l dS of F Y h:i:s A"));
    UpdUser("active = 0, login_password = '".$tmpstr."', first_name = 'DEL', last_name = 'DEL'", "id = ".$userid."");
}

############################################################
function delUserMsgByGameId($gameid){
############################################################
    DelUserMessages("to_game_id = ".$gameid."");
}

############################################################
function delUserMsgByUserId($userid){
############################################################
    DelUserMessages("to_user_id = ".$userid."");
}

############################################################
function getUserNick($userID){
############################################################
    $tmpuser = SelUser("login_name","id = ".$userID."");
    $tmpNick = GetFetchArray($tmpuser);
    return $tmpNick['login_name'];
}

############################################################
function getUserMail($userID){
############################################################
    $tmpprof =  SelUserProfile("email,emailnotify","user_id = ".$userID."");
    $tmpnotify = GetFetchArray($tmpprof);
    $retval['email'] = $tmpnotify['email'];
    $retval['mailnotify'] =  $tmpnotify['emailnotify'];
    return $retval;
}

############################################################
function getHistoryType($userID){
############################################################
    $tmpHistType = SelUserProfile("history","user_id = ".$userID."");
    if (GetNumRows($tmpHistType) > 0){
	$opponentHistory = GetFetchArray($tmpHistType);
    	return $opponentHistory['history'];
    }else{
	return "pgn";
    }
}

############################################################
function getGameOppId($color, $gameid){
############################################################
    if ($color == 'white')
	$tmpOpponentID = SelGames("whitePlayer","gameID = ".$gameid."");
    else
  	$tmpOpponentID = SelGames("blackPlayer","gameID = ".$gameid."");
    $opponent = GetFetchArray($tmpOpponentID);
    $tmpOppId = $opponent[0];
    return $tmpOppId;
}

############################################################
function GetListOfAllActive($table,$where="active=1",$colum="description"){
############################################################
    $sel = "id,".$colum;
    $list = array();
    if(!$retval=selSQLQuery($table, $sel, $where,""))return 0;//errorhandling
    while ($tmp = GetFetchArray($retval))
   	$list[$tmp['id']] = $tmp[$colum];
	echo $tmp[$colum];
    return $list;
}

?>
