<?PHP

############################################################
function webchessMail($msgType, $msgTo, $tmpstr, $tmpstr2){
############################################################
    /* default Headers */
    $headers .= "From: WebChessNG <".$GLOBALS[CFG_MAILADDRESS].">\r\n";
    //$headers .= "To: ".$msgTo."\r\n";
    $headers .= "Reply-To: WebChessNG <".$GLOBALS[CFG_MAILADDRESS].">\r\n";
		
    /* load specific message and subject */
    switch($msgType){
	case 'test':		
	    testMail($headers, $msgTo);		
	    break;
	case 'registration':	
	    registrationMail($headers, $msgTo, $tmpstr, $tmpstr2);		
	    break;
	case 'invitation':	
	    inviteMail($headers, $msgTo, $tmpstr2);	
 	    break;
	case 'withdrawal':	 
	    withdrawMail($headers, $msgTo, $tmpstr2);	
	    break;
	case 'resignation':	
	    resignMail($headers, $msgTo, $tmpstr2);	
	    break;
	case 'move':		
	    moveMail($headers, $msgTo, $tmpstr, $tmpstr2);		
	    break;
    }
}

############################################################
function testMail($headers, $msgTo){
############################################################
    $txt = getMailLanguage($msgTo);
    $mailsubject = "WebChessNG: ".$txt['MailMsg12'];
    $mailmsg 	.= $txt['MailMsg13']."\n\n";
    $mailmsg 	.= $txt['MailMsg1']."\n";
    mail($msgTo, $mailsubject, $mailmsg, $headers);
}

############################################################
function registrationMail($headers, $msgTo, $regnr, $logind){
############################################################
    $txt = getMailLanguage($msgTo);
    $mailsubject = "WebChessNG: ".$txt['MailMsg2'];
    $mailmsg 	 = $txt['MailMsg4']." WebchessNG!!!\n";
    $mailmsg 	.= $txt['MailMsg3']."\n\n";
    $mailmsg 	.= $regnr;
    $mailmsg 	.= "\n\nYour Account:\n".$logind;
    mail($msgTo, $mailsubject, $mailmsg, $headers);

}

############################################################
function moveMail($headers, $msgTo, $move, $opponent){
############################################################
    $txt = getMailLanguage($msgTo);
    $mailsubject = "WebChessNG: ".$txt['YourTurn'];
    $mailmsg 	 = $opponent." ".$txt['MailMsg5'];
    $mailmsg 	.= "\n".$move."\n\n";
    $mailmsg 	.= "\n\n".$txt['MailMsg1']."\n";
    mail($msgTo, $mailsubject, $mailmsg, $headers);
}

############################################################
function inviteMail($headers, $msgTo, $opponent){
############################################################
    $txt = getMailLanguage($msgTo);
    $mailsubject = "WebChessNG: ".$txt['MailMsg6'];
    $mailmsg 	 = $opponent." ".$txt['MailMsg7'];
    $mailmsg 	.= "\n\n".$txt['MailMsg1']."\n";
    mail($msgTo, $mailsubject, $mailmsg, $headers);
}


############################################################
function withdrawMail($headers, $msgTo, $opponent){
############################################################
    $txt = getMailLanguage($msgTo);
    $mailsubject = "WebChessNG: ".$txt['MailMsg8'];
    $mailmsg 	 = $opponent." ".$txt['MailMsg9'];
    $mailmsg 	.= "\n\n".$txt['MailMsg1']."\n";
    mail($msgTo, $mailsubject, $mailmsg, $headers);
}

############################################################
function resignMail($headers, $msgTo, $opponent){
############################################################
    $txt = getMailLanguage($msgTo);
    $mailsubject = "WebChessNG: ".$txt['MailMsg10'];
    $mailmsg 	 = $opponent." ".$txt['MailMsg11'];
    $mailmsg    .= "\n\n".$txt['MailMsg1']."\n";
    mail($msgTo, $mailsubject, $mailmsg, $headers);
}

############################################################
function getMailLanguage($email){
############################################################
    $tmpprof =  SelUserProfile("language_id","email = '".$email."'");
    $tmplangid = GetFetchArray($tmpprof);
    $langlist =  GetListOfAllActive("language","active=1","short_description");

    $langfile = "lang/language_".$langlist[$tmplangid['language_id']].".php";
    if(file_exists($langfile))
	require $langfile;
    else
	require 'lang/language_en.php';
    
    return $TXT_WebChessNG;
}

?>