<?PHP

include_once('conf/config.php');
include_once('conf/version.php');
include_once('lib/dbwrapper.php');

############################################################
function CheckSession($admin=0){
############################################################
    // check DB connection
    if(!checkDBConnect()){
	$_SESSION["msg_error"] = "Lost DB connection!<br>Try again later.";
    	require 'index.php'; 
    	die();
    }
    // check for admin
    if($admin == 1 && $_SESSION['usrgrpid'] != 1){
	require 'index.php'; 
    	die();
    }
    //check for maintenace
    if($GLOBALS[CFG_MAINTENANCE] != 0 && $_SESSION['usrgrpid'] != 1){
	$_SESSION["msg_error"] = $_SESSION['TXT']['ERRMaintenance'];
    	require 'index.php'; 
    	die();
    }
	
    if (!isset($_SESSION['playerID']))
    	$_SESSION['playerID'] = -1;

    $oldPlayerId = 0; 
    if ($_SESSION['playerID'] != -1){
    	$oldPlayerId = $_SESSION['playerID'];
 
    	if (time() - $_SESSION['lastInputTime'] >= $GLOBALS[CFG_SESSIONTIMEOUT])
	    $_SESSION['playerID'] = -1;
    	else if (!isset($_GET['autoreload']))
	    $_SESSION['lastInputTime'] = time();
    }
	
    if ($_SESSION['playerID'] == -1){
    	if($oldPlayerId != 0){
    	    //write log
    	    $logmess = " Session time out for UID:".$oldPlayerId;
    	    writeLog(LOGIN,$logmess);
	    $_SESSION["msg_error"] = $_SESSION['TXT']['ERRSession'];
    	}
        require 'index.php'; 
    	die();
    }
}


############################################################
function HandleMSG(){
############################################################
    if($_SESSION["msg_error"] != "")
        print "<center><span style='color:#FF0000'>".$_SESSION["msg_error"]."</span></center><br>\n";
    $_SESSION["msg_error"] = "";
    if($_SESSION["msg_ok"] != "")
	print "<center><span style='color:#00AA00'>".$_SESSION["msg_ok"]."</span></center><br>\n"; 
    $_SESSION["msg_ok"] = "";
}

############################################################
function displayMenu($title){
############################################################
    $nick = $_SESSION['nick'];
    $date = date("d.m.Y");
    $time = date("H:i:s");
    echo "<form name='menu' action='mainmenu.php' method='post'>\n";
    echo "   <table class ='tabbord1' width='80%' cellpadding='3'>\n";
    echo "    <tr><th class='th_headL' width='33%'>".$_SESSION['playerName']."<br>[<a href='playerinfo.php?usrID=".$_SESSION['playerID']."' title='".$_SESSION['TXT']['TTPlayerInfo']."'> ".$nick." </a>]</th><th class='th_headC' >".$title."</th><th class='th_headR' width='33%'>".$date."<br>".$time."</th></tr>\n";
    	echo "    <tr align='center' ><th class='th_std' colspan='3' >\n";
    if($_SESSION['usrgrpid'] != 1){
    	echo "     <input class='button1' type='button' name='btnMai' value='".$_SESSION['TXT']['TitleMainMenu']."' onClick=\"window.open('mainmenu.php','_self')\">\n";
    	echo "     <input class='button1' type='button' name='btnPro' value='".$_SESSION['TXT']['TitleProfile']."' onClick=\"window.open('profile.php','_self')\">\n";
    	echo "     <input class='button1' type='button' name='btnElo' value='".$_SESSION['TXT']['TitleStatistic']."' onClick=\"window.open('elorate.php','_self')\">\n";
    	echo "     <input class='button1' type='button' name='btnHis' value='".$_SESSION['TXT']['TitleHisGames']."' onClick=\"window.open('viewhistory.php','_self')\">\n";
    }else{
	echo "     <input class='button1' type='button' name='btnPro' value='".$_SESSION['TXT']['TitleProfile']."' onClick=\"window.open('profile.php','_self')\">\n";
    	echo "     <input class='button1' type='button' name='btnCle' value='".$_SESSION['TXT']['TitleConfig']."' onClick=\"window.open('configfiles.php', '_self')\">";
	echo "     <input class='button1' type='button' name='btnCle' value='".$_SESSION['TXT']['TitleUserConfig']."' onClick=\"window.open('userconfig.php', '_self')\">";
	echo "     <input class='button1' type='button' name='btnCle' value='".$_SESSION['TXT']['Language']."' onClick=\"window.open('language.php', '_self')\">";
    }
    echo "     <input type='hidden' name='LogInOut' value='Logout'>\n";
    echo "     <input class='button1' type='submit' value='".$_SESSION['TXT']['BtnLogout']."'>\n";
    echo "    </th></tr>\n";
    echo "   </table>\n";
    echo "</form>\n";
    echo "<br>\n";
}

############################################################
function dispfootNote() {
############################################################
    require ('conf/config.php');
    $footstr   = "WebchessNG <a href='help.php'>".$_SESSION['TXT']['HelpRules']."</a> | ";
    $footstr  .= "Admin: <a href='mailto:".$GLOBALS[CFG_MAILADDRESS]."'>".$GLOBALS[CFG_MAILADDRESS]."</a> | ";
    $footstr  .= "".$_SESSION['TXT']['ChangeLog'].": <a href='changelog.php'>v".$GLOBALS[CFG_SOFT_VERSION]."</a>";
    echo "<table class ='tabbord1' width='80%' cellpadding='3'>\n";
    echo " <tr><th class='th_footer' >".$footstr."</th></tr>\n";
    echo "</table>\n";
}

############################################################
function dispUserInfoLink($usrId, $name, $inTD=1){
############################################################
    if($inTD){$td="<td>";$td2="</td>";}else{$td="";$td2="";}
    echo $td."<a href='playerinfo.php?usrID=".$usrId."' title='".$_SESSION['TXT']['TTPlayerInfo']."'>".$name."</a>".$td2."\n";
}

############################################################
function dispGameLoadLink($gameId, $active=0,$inTD=1){
############################################################
    if($inTD){$td="<td>";$td2="</td>";}else{$td="";$td2="";}
    if ($active)$act="loadGame"; else $act="loadEndedGame";
    echo $td."<a href='javascript:".$act."(".$gameId.")'>";
    echo "<img class='activIcon' src='template/".$_SESSION['pref_theme']."/images/chessb.gif' width='24' height='24' title='".$_SESSION['TXT']['TTLoadGame']."' ></a>".$td2."\n";
}

############################################################
function dispEndGameMsg($gameMsg, $msgFrom, $inTD=1){
############################################################
    if($inTD){$td="<td>";$td2="</td>";}else{$td="";$td2="";}
     
    switch($gameMsg){
	case "draw":
	    echo $td.$_SESSION['TXT']['EndedInDraw'].$td2;
	    break;
	case "stalemate":
	    echo $td.$_SESSION['TXT']['EndedInStMa'].$td2;
	    break;
	case "playerResigned":
	    if ($msgFrom == 'white')
		echo $td.$_SESSION['TXT']['White']." ".$_SESSION['TXT']['EndedHasRes'].$td2;
	    else
		echo $td.$_SESSION['TXT']['Black']." ".$_SESSION['TXT']['EndedHasRes'].$td2;
	    break;
	case "checkMate":
	    if ($msgFrom == 'white')
    		echo $td.$_SESSION['TXT']['EndedCheckmate']." ".$_SESSION['TXT']['White']." ".$_SESSION['TXT']['EndedHasWon'].$td2;
	    else
		echo $td.$_SESSION['TXT']['EndedCheckmate']." ".$_SESSION['TXT']['Black']." ".$_SESSION['TXT']['EndedHasWon'].$td2;
	    break;
	default:
	    echo $td."&nbsp;".$td2;
	    break;
    }
}

############################################################
function GenerateNumberCombo($size,$select=0,$name,$start=0){
############################################################
    $realsize = $size + $start;
    print "<select name='".$name."' size='1'>\n";
    for($i=$start;$i<$realsize;$i++){ 
	if($select == $i) 
 	    print "<option selected value=".$i.">".$i."</option>\n"; 
 	else 
 	    print "<option value=".$i.">".$i."</option>\n"; 
    }
    print "</select>\n";
}

############################################################
function GenerateListCombo($list,$select=0,$name,$mode=0,$class){
############################################################
    print "<select class='".$class."' name='".$name."' size='1'>\n";
    if($mode == 1) print "<option value=0>All</option>\n";
    if($mode == 2) print "<option value=0></option>\n";
    while(list($key, $val) = each($list)){ 
	if($select == $key) 
 	    print "<option selected value='".$key."'>".$val."</option>\n"; 
 	else 
 	    print "<option value='".$key."'>".$val."</option>\n"; 
    }
    print "</select>\n";
}

############################################################
function GenerateCheckBox($checked,$name="active"){
############################################################
    if($checked == 1)
	print "<input name='".$name."' type='checkbox'  value='1' checked>\n";
    else             
	print "<input name='".$name."' type='checkbox'  value='1'>\n";
}


############################################################
function writefile($filename,$line,$mode=0,$admin=1){
############################################################
    //$mode  0 = overwrite file, 1 = append to the file
    $newfile = 0;
    if(!file_exists($filename))
	$newfile = 1;

    if($mode == 0)
	$fp    = fopen($filename,"w");
    else
	$fp    = fopen($filename,"a");

    if($fp){
	flock($fp,2);
	fputs($fp,$line);
	flock($fp,3);
	fclose ($fp);
	if($newfile == 1 && $admin == 1)
	   chmod ($filename, 0200); 
    }
}

############################################################
function writeLog($loglevel, $line){
############################################################
    switch($loglevel){
	case((LOGLEVEL & $loglevel) == DB):
	    $type = "  DB  ";
	    break;
	case((LOGLEVEL & $loglevel) == LOGIN):
	    $type = "LOGIN ";
	    break;
	case((LOGLEVEL & $loglevel) == EVENT):
	    $type = "EVENT ";
	    break;
	case((LOGLEVEL & $loglevel) == STAT):
	    $type = " STAT ";
	    break;
	case "ERROR":
	    $type = "ERROR";
	    break;
	case((LOGLEVEL & $loglevel) == NONE):
	default:
	    return;
	    break;
    }
    $filename = "logs/chesslog_" . date("dmy");
    //prepare logline
    $logline = date("[H:i:s] ") . " [".$type."] UID:" . $_SESSION['playerID'] . " " . $line . "\n"; 
    writefile($filename,$logline,1);
}

############################################################
function getUserIP(){
############################################################
    if(getenv('HTTP_CLIENT_IP')) {$onlineip = getenv('HTTP_CLIENT_IP');}
    elseif(getenv('HTTP_X_FORWARDED_FOR')) {$onlineip = getenv('HTTP_X_FORWARDED_FOR');}
    else {$onlineip = getenv('REMOTE_ADDR');}
    return $onlineip;
}

?>