<?PHP
	
session_start();

include_once('conf/config.php');
include_once('conf/ELOconfig.php');
include_once('lib/utils.php');

CheckSession();

include_once('lib/chessutils.php');
include_once('lib/dbwrapper.php');


/* check if submitting opponents login information */
if (isset($_POST['opponentsID'])){
    $opponentsID = $_POST['opponentsID'];
    $opponentsNick = $_POST['opponentsNick'];

    /* get opponents password from DB */
    $tmpPassword = SelUser("login_password","id = ".$opponentsID."");
    $tmpPassword = GetFetchArray($tmpPassword);
    $dbPassword = $tmpPassword['login_password'];

    /* check to see if supplied password matched that of the DB */
    if ($dbPassword == md5($_POST['pwdPassword'])){
	$_SESSION['isSharedPC'] = true;

	/* load game */
	require 'chess.php';
	die();
    }else
	$_SESSION["msg_error"] = "Invalid Password"; 
}else{
    /* get the players associated with this game */
    $tmpGameData = SelGames("whitePlayer, blackPlayer","gameID = ".$_POST['gameID']."");
    $tmpPlayers = GetFetchArray($tmpGameData);
	
    /* determine which one is the opponent of the player logged in */
    if ($tmpPlayers['whitePlayer'] == $_SESSION['playerID'])
	$opponentsID = $tmpPlayers['blackPlayer'];
    else
	$opponentsID = $tmpPlayers['whitePlayer'];
	
    /* get the opponents information */
    $tmpNick = SelUser("login_name","id = ".$opponentsID."");
    $tmpNick = GetFetchArray($tmpNick);
    $opponentsNick = $tmpNick['login_name'];
}

############################################################
function dispOppLogin() {
############################################################
    require('conf/config.php');
    echo "<br><br><br><br>\n"; 
    echo "<table class='tabbord1' height='300px' width='400px' style='background-color: #D3D3D3' ><tr align='center'>\n";
    echo "<td>\n";
    echo "<table border='0'>\n";
    echo " <tr><td>\n";
    echo "<h2>".$GLOBALS[opponentsNick]."</h2>\n";
    echo " </td></tr>\n";
    echo "</table>\n";
    
    echo "<table class='tabbord3'>\n";
    echo " <tr><td>\n";
    echo "<h2>Login</h2>\n";
    HandleMSG();
    echo " </td></tr>\n";
    echo "</table>\n";
    
    echo "<form name='oppPasswd' method='post' action='opponentspassword.php'>\n";
    echo " <input name='opponentsNick' value='".$GLOBALS[opponentsNick]."' type='hidden' >\n";
    echo " <input name='opponentsID' value='".$GLOBALS[opponentsID]."' type='hidden' >\n";
    echo " <input name='gameID' value='".$_POST['gameID']."' type='hidden' >\n";
    echo "<table class='tabbord3' >\n";
    echo " <tr><th align='right'>Password:</th><th><input class='edit2' name='pwdPassword' type='password' size='15'></th></tr>\n";
    echo " <tr><th><input  class='button1' name='login' value='Continue' type='submit'></th>\n";
    echo " <th><input class='button1' value='Cancel' type='button' onClick=\"window.open('mainmenu.php', '_self')\"></th>\n"; 
    echo " </tr>\n";
    echo "</table>\n";
    echo "</form>\n";

    echo "</td>\n";
    echo " </tr>\n";
    echo "</table>\n";

}

############################################################
function dispOppLoginPage() {
############################################################
    require('conf/config.php');
    echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
    echo "<html><head>\n";
    echo "<meta http-equiv='content-type' content='text/html; charset=UTF-8'>\n";
    echo " <title>WebChessNG Opponent Login</title>\n";
    echo " <link rel='stylesheet' type='text/css' href='template/".$_SESSION['pref_theme']."/webchess.css'>\n";
    echo "</head><body onload='document.oppPasswd.pwdPassword.focus()'>\n";
    echo " <center>\n";
    dispOppLogin();
    echo " </center>\n";
    echo "</body></html>\n";
}

dispOppLoginPage();

?>
